Debians sikkerhedsbulletin

DSA-1570-1 kazehakase -- forskelligt

Rapporteret den:
6. maj 2008
Berørte pakker:
kazehakase
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 464756.
I Mitres CVE-ordbog: CVE-2006-7227, CVE-2006-7228, CVE-2006-7230, CVE-2007-1659, CVE-2007-1660, CVE-2007-1661, CVE-2007-1662, CVE-2007-4766, CVE-2007-4767, CVE-2007-4768.
Yderligere oplysninger:

Andrews Salomon rapporterede at kazehakase, en GTK+-baseret webbrowser, der tillader plug-bare fortolkningsmaskiner, indeholdt en indlejret kopi af PCRE-biblioteket i sit kildekodetræ, hvilket var kompilet ind og blev anvendt i stedet for systemudgaven af biblioteket.

PCRE-biblioteket er blevet opdateret med rettelser af sikkerhedsproblemerne, rapporteret mod det i Debians tidligere sikkerhedsbulletiner. Denne opdatering sikrer at kazehakase anvender dette understøttede bibliotek, og ikke sin egen indlejrede og usikre version.

I den stabile distribution (etch), er dette problem rettet i version 0.4.2-1etch1.

Vi anbefaler at du opgraderer din kazehakase-pakke.

Rettet i:

Debian GNU/Linux 4.0 (etch)

Kildekode:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1.diff.gz
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2.orig.tar.gz
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1.dsc
Alpha:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_arm.deb
HP Precision:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_i386.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/k/kazehakase/kazehakase_0.4.2-1etch1_sparc.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.